Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.jobcontrol
Class JobControlException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.developmentontheedge.jobcontrol.JobControlException

public class JobControlException
extends Exception

JobControlException is used jointly with JobControl objects. This exception is occured when job wants to terminate job process.

See Also: JobControl

Constructor Summary
`JobControlException(int status, String msg)` Constructs JobControlException with specified status and message
`JobControlException(int status)` Constructs JobControlException with specified status
`JobControlException(Throwable error)` Constructs JobControlException with specified exception

Method Summary
`Throwable` | `getError()` Returns occured exception or `null`
`int` | `getStatus()` Returns status of termination

Methods inherited from class java.lang.Throwable
`getMessage, getLocalizedMessage, toString, printStackTrace, printStackTrace, printStackTrace, fillInStackTrace`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobControlException

    public JobControlException(int status, String msg)

  Constructs JobControlException with specified status and message
  Parameters:
    status - specified status
    msg - specified message

### JobControlException

    public JobControlException(int status)

  Constructs JobControlException with specified status
  Parameters:
    status - specified status

### JobControlException

    public JobControlException(Throwable error)

  Constructs JobControlException with specified exception
  Parameters:
    error - exception that occured during job process

Method Detail

### getError

    public Throwable getError()

  Returns occured exception or `null`
  Returns: occured exception or `null`

### getStatus

    public int getStatus()

  Returns status of termination
  Returns:
  - JobControl.TERMINATED_BY_ERROR
  or
  - JobControl.TERMINATED_BY_REQUEST

Association Links

to Class java.lang.Throwable

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM